Subject: Re: Exception trapped!
From: [email-masked] (Berenice LOPEZ)

10 Jul 1997 15:15:53 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
X-Mailer: Mozilla 4.0b5 [en] (WinNT; I)
MIME-Version: 1.0
Original-To: Bijan Tuysserkani <[email-masked]>
Original-CC: [email-masked]
X-Priority: 3 (Normal)
Content-Type: text/plain; charset=iso-8859-1
Original-Sender: [email-masked]

> Hi Berenice,
>
> I think we have the same problem. Can you use GDB, execute your stuff
> and
> do a "info stack"? That should tell you which function is responsible
> for
> the exception. In my case it is unfortunately malloc. :-(
>
> I use gcc and Windows NT4.0 and the b18 release. The malloc call I
> have is
> a simple malloc(strlen(name)) where name is an arbitrary string.
> Depending on which names I allocate and certainly what the rest of my
> code
> does before, the exception happens always at the same place. Funny
> thing :
> If I link the library libmmalloc.a to my stuff, the exception happens
> in malloc also, but at a different call from my side.
>
> If you get any direct answers, please forward them to me.
>
> Greetings,
>         Bijan

    Thanks a lot for all your help! =)
    Finally I found out the problem: the standard output was baddly
initialized... and there were some other little "problems", with the use
of gdb I got to saw them.
    So, in fact, malloc has no troubles... not for me.

                                            Thank's again! =))

                                                            Berenice

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".